# Administration Reference

## volinfo

Purpose

Produces detailed statistics about one or more volume headers and the partition that houses them

Synopsis

    volinfo [-online]  [-vnode]  [-date]  [-inode] [-itime]
            [-part  <AFS partition name (default current partition)>+]
            [-volumeid <Volume id>+]  [-header]  [-sizeOnly]  [-fixheader]
            [-saveinodes]  [-orphaned]  [-help]

Description

The volinfo command displays detailed statistics about one or more volume headers and the partition that houses them. The command must be issued on a file server machine and by default produces output for every volume on every AFS server partition on the machine. To display output for the volumes on one partition only, include the -part argument. To display output for one volume only, include the -volumeid argument.

Options

-online
  Is nonoperational.

-vnode
  Displays a table for each volume which lists the large (directory) and small (file) vnodes in it, in addition to the default output.

-date
  When combined with the -vnode flag, adds the `ServerModTime` field to each vnode entry in the large vnode and small vnode tables, reporting its most recent modification time.

-inode
  When combined with the -vnode flag, adds the `inode` field to each vnode entry in the large vnode and small vnode tables, reporting the associated inode number.

-itime
  When combined with the -vnode flag, displays a change, modification, and access timestamp for each of the large vnode and small vnode tables.

-part
  Specifies the partition that houses each volume for which to produce output. Use the format /vicep xx, where xx is one or two lowercase letters. This argument can be omitted if the current working directory is the mount location for an AFS server partition; it is not the mount location for an AFS server partition, the command produces output for every volume on all local AFS server partitions.

-volumeid
  Specifies the ID number of one volume for which to produce output. The -part argument must be provided along with this one unless the current working directory is the mount location for the AFS server partition that houses the volume.

-header
  Displays statistics about the volume header of each volume, in addition to the default output.

-sizeOnly
  Displays a single line of output for each volume, reporting the size of various structures associated with it. The default output is suppressed and any flags that modify it (such as -vnode) are ignored.

-fixheader
  Repairs damaged inodes in each volume if possible. If there are any, it reports the action it is taking to repair them. Otherwise, it produces no output in addition to the default output.

-saveinodes
  Creates a file in the current working directory for each inode in each volume. Each file is called TmpInode.vnode_number and contains the inode's contents. The default output is suppressed and any flags that modify it (such as -vnode) are ignored.

-orphaned
  Displays a large vnode and small vnode table for each volume, which lists only orphaned vnodes (vnodes that have no parent). If there are none, the tables are empty (only the headers appear).

-help
  Prints the online help for this command. All other valid options are ignored.

Output

By default, the command produces several line of statistics for each volume. Adding other options produces or substitutes additional information as described in the preceding Options section of this reference page. The output is intended for debugging purposes and is meaningful to someone familiar with the internal structure of volume headers.

Privilege Required

The issuer must be logged in as the local superuser root.

Related Information

vldb.DB0 and vldb.DBSYS1

volserver

© IBM Corporation 2000. All Rights Reserved